; Battery max v1.0
; by Randy Gluvna
; for Ash 2.0

#include "offti-82.h"

.ORG 0
#IFDEF OSHELL82
.DB "Battery Max 1.0",0
#ENDIF
        ROM_CALL(CLEARLCD)
        LD HL,$0000
        LD (CURSOR_POS),HL
        LD HL,(PROGRAM_ADDR)
        LD DE,STRING_TITLE
        ADD HL,DE
        SET 3,(IY+05)
        ROM_CALL(D_ZT_STR)
        LD HL,(PROGRAM_ADDR)
        LD DE,STRING_AUTHOR
        ADD HL,DE
        RES 3,(IY+05)
        ROM_CALL(D_ZT_STR)
        LD HL,$0006
        LD (CURSOR_POS),HL
        LD HL,(PROGRAM_ADDR)
        LD DE,STRING_PRESS_ENTER
        ADD HL,DE
        ROM_CALL(D_ZT_STR)
LOOP:
        CALL GET_KEY
        CP $37
        RET Z
        CP $09
        JUMP_NZ(LOOP)
        LD HL,CONTRAST
        LD (HL),$21
        LD A,$3F
        OR $0C0
        CALL $7F3
        OUT ($10),A
        RET

STRING_TITLE:
        .DB "Battery Max v1.0",0
STRING_AUTHOR:
        .DB "by: Randy Gluvna",0
STRING_PRESS_ENTER:
        .DB "Press enter to  "
        .DB "set contrast",0

.END
