; Dump82, a program to dump the ti82 rom.
; The program is not written very well, but it works :)
; Translated to OShell-82 by Thomas J. Hruska

#include "offti-82.h"
K_0 = $21
K_1 = $22
K_2 = $1A
K_3 = $12
K_4 = $23
K_5 = $1B
K_6 = $13
K_7 = $24
K_MODE = $37
PAGE_PORT = 2
.org 0
#IFDEF OSHELL82
.DB "Dump82 v1.0",0
#ENDIF

    TEXT_START
    ld hl,Text
    ld de,(PROGRAM_ADDR)
    add hl,de
    ROM_CALL(D_ZT_STR)
Loop:
    CALL GET_KEY
    CP K_0
    JR Z,R0
    CP K_1
    JR Z,R1
    CP K_2
    JR Z,R2
    CP K_3
    JR Z,R3
    CP K_4
    JR Z,R4
    CP K_5
    JR Z,R5
    CP K_6
    JR Z,R6
    CP K_7
    JR Z,R7
    CP K_MODE
    JR Z,Exit
    JR Loop

R0:
    LD A,0
    JR Dump
R1:
    LD A,1
    JR Dump
R2:
    LD A,2
    JR Dump
R3:
    LD A,3
    JR Dump
R4:
    LD A,4
    JR Dump
R5:
    LD A,5
    JR Dump
R6:
    LD A,6
    JR Dump
R7:
    LD A,7
Dump:
    OR %10001000 ; Need to change page
    OUT (PAGE_PORT),A ; Change page
    LD HL,DumpData
    LD DE,(PROGRAM_ADDR)
    ADD HL,DE
    LD DE,$4000
    EX DE,HL
    LD BC,$4000
    LDIR
Exit:
    TEXT_END
    RET

Text:;1234567890123456
.DB  "Dump82 ver 1.0  "
.DB  "(C) 1997 by     "
.DB  "Dines Justesen  "
.DB  "                "
.DB  "Press number of "
.DB  "rompage to dump "
.DB  "(0 to 7)        "
.DB  "(Mode to exit)  ",0

DumpData:
.ORG $+$4000

.END
