#include offti-82.h

Current = TEXT_MEM
.org 0
#IFDEF OSHELL82
.db "Fake Mem Clear",0
#ENDIF
;Fake memory clearer!
;Fake out your teachers (when the school year starts :)
;A new OShell-82 program v0.9
;By Rob Bonstein (bonstein@ix.netcom.com)
;Look for contrast change in version 1.0(Also look for optimized code)!
;**********
;Program
;**********


StartTxt:
	ld hl,1
	ld (Current),hl
	ROM_CALL(CLEARLCD)
	ld hl,0
	ld ($800C),hl
	ld hl,(PROGRAM_ADDR)
	ld de,Reset
	add hl,de
	set 3,(IY+05)
	ROM_CALL(D_ZT_STR)
	ld hl,$0005
	ld ($800C),hl
	ld hl,(PROGRAM_ADDR)
	ld de,Warning
	add hl,de
	res 3,(IY+05)
	ROM_CALL(D_ZT_STR)
	ld hl,$0001
	ld ($800C),hl
	ld hl,(PROGRAM_ADDR)
	ld de,Choices
	add hl,de
	ROM_CALL(D_ZT_STR)
	ld hl,$0001
	ld ($800C),hl
	ld hl,(PROGRAM_ADDR)
	ld de,One
	add hl,de
	set 3,(IY+05)
	ROM_CALL(D_ZT_STR)

Loop:
	ROM_GETKEY
	   cp $40
	   JUMP_Z(No)
	cp $3
	JUMP_Z(Set1)
	cp $4
	JUMP_Z(Set2)
	cp $5
	JUMP_Z(Enter)
	   jr Loop

Set1:
	ld hl,$0002
	ld ($800C),hl
	ld hl,(PROGRAM_ADDR)
	ld de,Two
	add hl,de
	res 3,(IY+05)
	ROM_CALL(D_ZT_STR)
	ld hl,$0001
	ld ($800C),hl
	ld hl,(PROGRAM_ADDR)
	ld de,One
	add hl,de
	set 3,(IY+05)
	ROM_CALL(D_ZT_STR)
	ld a,1
	ld (Current),a
	JUMP_(Loop)

Set2:
	ld hl,$0001
	ld ($800C),hl
	ld hl,(PROGRAM_ADDR)
	ld de,One
	add hl,de
	res 3,(IY+05)
	ROM_CALL(D_ZT_STR)
	ld hl,$0002
	ld ($800C),hl
	ld hl,(PROGRAM_ADDR)
	ld de,Two
	add hl,de
	set 3,(IY+05)
	ROM_CALL(D_ZT_STR)
	ld a,2
	ld (Current),a
	JUMP_(Loop)

Enter:
	ld a,(Current)
	cp 1
	JUMP_Z(No)

Cleared:
	ROM_CALL(CLEARLCD)
	ld hl,$0203
	ld ($800C),hl
	ld hl,(PROGRAM_ADDR)
	ld de,Memclr
	add hl,de
	res 3,(IY+05)
	ROM_CALL(D_ZT_STR)
	ld hl,0
	ld ($800C),hl
	JUMP_(FakeErase)
No:
	ROM_CALL(CLEARTEXT)
FakeErase:
	;Right here was the routine for exiting to TIOS,
	;but jason todd wants me to keep the routine out of 
	;distribution...Ask him for it if ya want it.
	;
	ld hl,$20
	ld (TEXT_MEM),hl
	ret


;***********
;Variables
;***********


Warning:
.db "Resetting memory"
.db "erases all data "
.db "and programs.",0

Reset:
.db "RESET MEMORY",0

One:
.db "1:",0

Two:
.db "2:",0

Choices:
.db "1:No            "
.db "2:Reset",0

Memclr:
.db "Mem cleared",0

.end
.end
