; Thanks to Shining Light Productions, there is an easier way now to do
; graphics routines without needing to switch ROM pages.  This enables the
; ASH <-> OShell-82 Development Kit to have translation capability of
; graphics routines.


; original GRAPH_START and GRAPH_END (c) 1997 by Dines Justesen
; Modified version by Thomas J. Hruska (C) 1997 Shining Light Productions

#IFDEF ROM_FIND_PIXEL
#DEFINE GRAPH_START LD A,%10001100 \ OUT (2),A \ ROM_CALL(CLEARLCD)
FIND_PIXEL = $4166
#ELSE
#DEFINE GRAPH_START ROM_CALL(CLEARLCD)
#ENDIF

#DEFINE GRAPH_END ROM_CALL(CLEARLCD)

#DEFINE READ_PIXEL      call $7F3 \ in a,($11) \ call $7F3 \ in a,($11)
#DEFINE WRITE_PIXEL     call $7F3 \ out ($11),a
#DEFINE RESTORE_PIXEL   push af \ ld a,($8011) \ call $7F3 \ out ($10),a \ ld a,($800F) \ call $7F3 \ out ($10),a \ pop af

CLIP_X         =TEXT_MEM2      ; Byte
CLIP_Y         =TEXT_MEM2+1    ; Byte
SPRITE_CODE    =TEXT_MEM2+2    ; Byte
TEMP_1         =TEXT_MEM2+3    ; Byte
SPRITE_TRANS      =0            ; bit 0 of SPRITE_CODE (Transparency)
SPRITE_CLIP_Y_OFF =1            ; bit 1 of SPRITE_CODE (Turns off Y clipping)
SPRITE_CLIP_UPPER =2            ; bit 2 of SPRITE_CODE (Clips upper part)
SPRITE_CLIP_LOWER =3            ; bit 3 of SPRITE_CODE (Clips lower part)
SPRITE_CLIP_LEFT  =4            ; bit 4 of SPRITE_CODE (Clips left part)
SPRITE_CLIP_RIGHT =5            ; bit 5 of SPRITE_CODE (Clips right part)
SPRITE_GREYSCALE  =6            ; bit 6 of SPRITE_CODE (NOT SUPPORTED)
