;---------------------------------------------------------------------------
;************* GreyTest version 1.0 (C) 1997 by Dines Justesen *************
;---------------------------------------------------------------------------
;
; Test program for GreyLib, to show what greyscale looks like on the TI82.
; Normally the program uses 4 shades of grey with normal update of the
; display, but you can try to chage the settings and see what they look
; like.
;
; Thanks to Rob Taylor for making GrayLib for the TI85.
;
; The picture Graypic used in this program was taken from a program written
; by Rob Taylor called GreyPic.
;---------------------------------------------------------------------------
; Translated to OShell-82 by Thomas J. Hruska

#INCLUDE "offti-82.h"
#INCLUDE "GREYLIB.H"

;#DEFINE USE_8_SHADES
#DEFINE USE_85_PIC
#DEFINE CHECK_VBI
;#DEFINE FAST_UPDATE

.ORG 0000
#IFDEF OSHELL82
.db "GreyScale Test",0
#ENDIF

    CALL_(GreyScaleOn) ; Start greyscale
KeyLoop:               ; Wait for a key
    CALL GET_KEY
    OR A
    JR Z,KeyLoop
    CALL_(GreyScaleOff); Stop greyscale
    RET

#INCLUDE "GREYLIB.ASM"

Pic1:
#INCLUDE "GRAYPIC1.INC";
Pic2:
#INCLUDE "GRAYPIC2.INC";
Pic3:
#INCLUDE "GRAYPIC3.INC";
