#include "offti-82.h"

.ORG 0
#IFDEF OSHELL82
.DB "Test",0
#ENDIF

  ROM_CALL(CLEARLCD)       ; Clears the LCD
  ld bc,0                  ; 0 -> c, 0 -> b
  ld (CURSOR_ROW),bc       ; Set cursor at position (0,0)
  ld hl,Text               ; Address of Text -> hl
  ld de,(PROGRAM_ADDR)     ; (PROGRAM_ADDR) -> de
  add hl,de                ; hl = hl + de
  
  ROM_CALL(D_ZT_STR)
  jr GetkeyLoop
GetkeyLoop:
  call GET_KEY             ; Get the keyboard scan code
  cp $37                   ; Check to see if [MODE] was pressed
  ret Z                    ; If so, return to caller
  jr GetkeyLoop            ; Goto GetkeyLoop

Text: .DB "Hello World!!!",0

.END
