; This program demonstrates the _grbufcpy_v call
; put a picture or whatever starting at $88B8 (GRAPH_MEM)

#INCLUDE "offti-82.h"
#include "graph.h"
#DEFINE REVERSE_COORD
#DEFINE FIRST_SET_OFF
#DEFINE SECOND_SET_OFF

ITEM = $8BDF

.ORG 0
#IFDEF OSHELL82
.DB "Graphbuf Test 1",0
#ENDIF

        ROM_CALL(CLEARLCD)
        LD A,0
        LD (ITEM),A

SHOWSCREEN:
        LD HL,$88B8
        LD DE,$88B9
        LD BC,$2FF
        LD A,(ITEM)
        LD (HL),A
        LDIR                    ; Simple - fill the GRAPH_MEM with one value
        CALL_(_GRBUFCPY_V)

KEYLOOP:
        ROM_GETKEY
        CP $40                  ; [2ND] [QUIT]
        JR Z,EXIT
        CP 3
        JR Z,DECREASE
        CP 4
        JR NZ,KEYLOOP
        LD A,(ITEM)
        DEC A
        LD (ITEM),A
        JR SHOWSCREEN

DECREASE:
        LD A,(ITEM)
        INC A
        LD (ITEM),A
        JR SHOWSCREEN

EXIT:
        RET

#include "graph.inc"

.END
